gnutls_srp_set_client_credentials(3)

NAME
gnutls_srp_set_client_credentials - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srp_set_client_credentials(gnutls_srp_client_credentials_t res, const char * username, const char * password);

ARGUMENTS

gnutls_srp_client_credentials_t res
    is a gnutls_srp_client_credentials_t type.

const char * username
    is the user's userid

const char * password
    is the user's password

DESCRIPTION
This function sets the username and password, in a gnutls_srp_client_credentials_t type. Those will be used in SRP authentication. username should be an ASCII string or UTF-8 string. In case of a UTF-8 string it is recommended to be following the PRECIS framework for usernames (rfc8265). The password can be in ASCII format, or normalized using gnutls_utf8_password_normalize().

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, or an error code.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/